<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ProcessInfo](./bitburner.processinfo.md)

## ProcessInfo interface

A single process on a server.

**Signature:**

```typescript
interface ProcessInfo 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[args](./bitburner.processinfo.args.md)


</td><td>


</td><td>

[ScriptArg](./bitburner.scriptarg.md)<!-- -->\[\]


</td><td>

Script's arguments


</td></tr>
<tr><td>

[filename](./bitburner.processinfo.filename.md)


</td><td>


</td><td>

string


</td><td>

Script name.


</td></tr>
<tr><td>

[pid](./bitburner.processinfo.pid.md)


</td><td>


</td><td>

number


</td><td>

Process ID


</td></tr>
<tr><td>

[temporary](./bitburner.processinfo.temporary.md)


</td><td>


</td><td>

boolean


</td><td>

Whether this process is excluded from saves


</td></tr>
<tr><td>

[threads](./bitburner.processinfo.threads.md)


</td><td>


</td><td>

number


</td><td>

Number of threads script is running with


</td></tr>
</tbody></table>

